<?php

        include('../../config/config.php');
        date_default_timezone_set('Africa/Lagos');
        
        
      include ('../messaging/whatsapp/index.php');
            
            
            
               // Set CORS headers to allow requests from any origin (*)
        header("Access-Control-Allow-Origin: *");
        
        // Allow specific HTTP methods
        header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE");
        
        // Allow specific HTTP headers
        header("Access-Control-Allow-Headers: Content-Type, Authorization");
        
        // Allow cookies to be included in the request (if needed)
        header("Access-Control-Allow-Credentials:true");
        
        // Retrieve the raw POST data
        
        
        $UserID =  mysqli_real_escape_string($link, trim(isset($_POST['UserID']) ? $_POST['UserID'] : ''));
        $UserType =  mysqli_real_escape_string($link, trim(isset($_POST['UserType']) ? $_POST['UserType'] : ''));
       $Tribe_ID =  mysqli_real_escape_string($link, trim(isset($_POST['Tribe_ID']) ? $_POST['Tribe_ID'] : ''));
       
        $minitribe_id =  mysqli_real_escape_string($link, trim(isset($_POST['minitribe_id']) ? $_POST['minitribe_id'] : ''));
        
   
        
             
                    $delete_member =  mysqli_query($link, "UPDATE `minitribe` SET `DeleteSatus`='1' WHERE `TribeID`='$Tribe_ID' AND `MiniTribeID`='$minitribe_id'");
                    
                    if($delete_member == true)
                    {
                        
                           
                          
                           
                           
                          $response = array(
                            "requestSuccessful" => true, // Assuming the request was successful
                            "responseMessage" => "success",
                            "responseDescription" => "Tribe deleted successfully");
                             
                            
                             
                             
                        
                    }else
                    {
                        
                        
                        
                          $response = array(
                                "requestSuccessful" => true, // Assuming the request was successful
                                "responseMessage" => "failed",
                                "responseDescription" => "Error!! tribe could not be deleted kindly try again later"
                                 
                             );
                        
                    }
            
            
            
     
        
      
         $json_response = json_encode($response);
    
        // // Output the JSON response
        echo $json_response;
       

?>